Bug 52345 - Support for rendering YV16 video frame formats in hardware
Summary: Support for rendering YV16 video frame formats in hardware
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: Victoria Kirst
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-12 18:30 PST by Victoria Kirst
Modified: 2011-01-18 15:27 PST (History)
3 users (show)

See Also:


Attachments
Patch (2.83 KB, patch)
2011-01-12 18:33 PST, Victoria Kirst
no flags Details | Formatted Diff | Diff
Patch (2.85 KB, patch)
2011-01-14 15:43 PST, Victoria Kirst
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Victoria Kirst 2011-01-12 18:30:49 PST
Support for rendering YV16 video frame formats in hardware
Comment 1 Victoria Kirst 2011-01-12 18:33:22 PST
Created attachment 78770 [details]
Patch
Comment 2 Victoria Kirst 2011-01-12 18:44:09 PST
To fix this Chromium bug:
http://code.google.com/p/chromium/issues/detail?id=59997

Quite a simple fix, actually!
Comment 3 Vangelis Kokkevis 2011-01-13 09:40:45 PST
Comment on attachment 78770 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=78770&action=review

> Source/WebCore/ChangeLog:5
> +        Adding support for YV16 video frame formats.

You might want to prefix this changelog entry with "[chromium]" as it's customary for changes that only affect our port.
Comment 4 Victoria Kirst 2011-01-14 15:43:35 PST
Created attachment 79016 [details]
Patch
Comment 5 Kenneth Russell 2011-01-18 11:51:56 PST
Comment on attachment 79016 [details]
Patch

Looks straightforward. Do you want this cq+'d?
Comment 6 Kenneth Russell 2011-01-18 14:52:03 PST
Comment on attachment 79016 [details]
Patch

Marking cq+.
Comment 7 WebKit Commit Bot 2011-01-18 15:27:27 PST
Comment on attachment 79016 [details]
Patch

Clearing flags on attachment: 79016

Committed r76075: <http://trac.webkit.org/changeset/76075>
Comment 8 WebKit Commit Bot 2011-01-18 15:27:31 PST
All reviewed patches have been landed.  Closing bug.